AutoGroupMetricsFormPrepareAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.autogroup.monitor.visibility.AutoGroupMetricsFormPrepareAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.autogroup.monitor.visibility
Class AutoGroupMetricsFormPrepareAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.tiles.actions.TilesAction
              org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsControlFormPrepareAction
                  org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsDisplayFormPrepareAction
                      org.hyperic.hq.ui.action.resource.autogroup.monitor.visibility.AutoGroupMetricsFormPrepareAction

    public class AutoGroupMetricsFormPrepareAction

extends MetricsDisplayFormPrepareAction

A `MetricsDisplayFormPrepareAction` that retrieves data from the Bizapp to be displayed on an `AutoGroup Metrics` page.

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`AutoGroupMetricsFormPrepareAction()`

Method Summary
`org.apache.struts.action.ActionForward` | `execute(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Retrieve data needed to display an autogroup's metrics page
`protected java.util.Map` | `getMetrics(javax.servlet.http.HttpServletRequest request, AppdefEntityID[] entityIds, long filters, java.lang.String keyword, java.lang.Long begin, java.lang.Long end, boolean showAll)` Get from the Bizapp the set of metric summaries for the specified entities that will be displayed on the page.
`protected java.util.Map` | `getMetrics(javax.servlet.http.HttpServletRequest request, AppdefEntityID entityId, long filters, java.lang.String keyword, java.lang.Long begin, java.lang.Long end, boolean showAll)` Get from the Bizapp the set of metric summaries for the specified entities that will be displayed on the page.
`protected java.lang.Boolean` | `getShowNumberCollecting()` Do we show the number collecting column on this page? The default answer is no, but subclasses can specify otherwise.

Methods inherited from class org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsDisplayFormPrepareAction
`execute, getShowBaseline, getShowMetricSource`

Methods inherited from class org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsControlFormPrepareAction
`prepareForm, prepareForm`

Methods inherited from class org.apache.struts.tiles.actions.TilesAction
`execute`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### AutoGroupMetricsFormPrepareAction

    public AutoGroupMetricsFormPrepareAction()

Method Detail

### execute

    public org.apache.struts.action.ActionForward execute(org.apache.struts.action.ActionMapping mapping,
                                                          org.apache.struts.action.ActionForm form,
                                                          javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response)
                                                   throws java.lang.Exception

  Retrieve data needed to display an autogroup's metrics page

  Overrides:
    `execute` in class `MetricsDisplayFormPrepareAction`
  Throws:
    `java.lang.Exception`

### getShowNumberCollecting

    protected java.lang.Boolean getShowNumberCollecting()

  Description copied from class: `MetricsDisplayFormPrepareAction`
  Do we show the number collecting column on this page? The default answer is no, but subclasses can specify otherwise.

  Overrides:
    `getShowNumberCollecting` in class `MetricsDisplayFormPrepareAction`

### getMetrics

    protected java.util.Map getMetrics(javax.servlet.http.HttpServletRequest request,
                                       AppdefEntityID entityId,
                                       long filters,
                                       java.lang.String keyword,
                                       java.lang.Long begin,
                                       java.lang.Long end,
                                       boolean showAll)
                                throws java.lang.Exception

  Get from the Bizapp the set of metric summaries for the specified entities that will be displayed on the page. Returns a `Map` keyed by metric category.

  Specified by:
    `getMetrics` in class `MetricsDisplayFormPrepareAction`
  Parameters:
    `request` - the http request
    `entityId` - the entity id of the currently viewed resource
    `begin` - the time (in milliseconds since the epoch) that begins the timeframe for which the metrics are summarized
    `end` - the time (in milliseconds since the epoch) that ends the timeframe for which the metrics are summarized
  Returns:
    Map keyed on the category (String), values are List's of MetricDisplaySummary beans
  Throws:
    `java.lang.Exception`

### getMetrics

    protected java.util.Map getMetrics(javax.servlet.http.HttpServletRequest request,
                                       AppdefEntityID[] entityIds,
                                       long filters,
                                       java.lang.String keyword,
                                       java.lang.Long begin,
                                       java.lang.Long end,
                                       boolean showAll)
                                throws javax.servlet.ServletException,
                                       SessionTimeoutException,
                                       SessionNotFoundException,
                                       AppdefEntityNotFoundException,
                                       PermissionException,
                                       AppdefCompatException,
                                       InvalidAppdefTypeException,
                                       java.rmi.RemoteException

  Get from the Bizapp the set of metric summaries for the specified entities that will be displayed on the page. Returns a `Map` keyed by metric category.

  Overrides:
    `getMetrics` in class `MetricsDisplayFormPrepareAction`
  Parameters:
    `request` - the http request
    `entityId` - the entity id of the currently viewed resource
    `begin` - the time (in milliseconds since the epoch) that begins the timeframe for which the metrics are summarized
    `end` - the time (in milliseconds since the epoch) that ends the timeframe for which the metrics are summarized
  Returns:
    Map keyed on the category (String), values are List's of MetricDisplaySummary beans
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `AppdefEntityNotFoundException`
    `PermissionException`
    `java.rmi.RemoteException`
    `InvalidAppdefTypeException`
    `AppdefCompatException`
    `javax.servlet.ServletException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.